package com.tykj.dev.device.confirmcheck.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * TaskPeriod.
 *
 * @author Matrix <xhyrzldf@gmail.com>
 * @since 2020/10/26 at 4:47 下午
 */
@Getter
@AllArgsConstructor
public enum TaskPeriod {

    /**
     * 月度
     */
    monthly("0 0 0 1 * *"),
    /**
     * 季度
     */
    quarterly("0 0 0 1 3/3 *"),
    /**
     * 年度
     */
    yearly("0 0 0 1 1 *");


    private final String cron;
}
